Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona Software > Software


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

Como instalar OnlyOffice en Leap?
  #1  
Antiguo 07-mar-2018, 00:44
cores8 cores8 está desconectado
Aforado
 
Fecha de Ingreso: 01-enero-2016
Versión: 42.3
Mensajes: 7
Agradecimientos: 6
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
cores8 está en el buen camino
Como instalar OnlyOffice en Leap?

Buenas.
Estoy intentando instalar OnlyOffice Desktop en Leap 42.3 con Plasma.
He probado:
- bajando el RPM de su página web (https://www.onlyoffice.com/es/download-desktop.aspx) e instalándolo con zypper: me dice que me falta boos-filestem
- añadiendo el repositorio (http://download.onlyoffice.com/repo/centos/main/noarch/) e instalándolo desde instalar/desinstalar software: me da error de verificación al bajar el paquete y falta dejavu-lgc-sans-fonts
En ambos casos he elegido instalar el paquete rompiendo sus dependencias, se instala, pero cuando lo ejecuto no se abre.
Cualquier ayuda será bienvenida.
Muchas gracias.
Responder Citando
  #2  
Antiguo 07-mar-2018, 14:00
Avatar de julioeep
julioeep julioeep está desconectado
Miembro Junior
 
Fecha de Ingreso: 19-diciembre-2008
Ubicación: Villavicencio, Colombia
Versión: openSUSE LEAP 42.2
Mensajes: 693
Agradecimientos: 83
Agradecido 131 Veces en 115 Mensajes
Poder de Credibilidad: 11
julioeep está en el buen camino
Revisando a vuelo de pajaro la pagina veo que para opensuse no se debe usar el rpm sino el tar.

Si quiere seguir usando el rpm puede ejecutar desde una consola e ir instalando manualmente las dependencias.
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a julioeep Por Este Mensaje:
cores8 (07-mar-2018)
  #3  
Antiguo 07-mar-2018, 18:00
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 17.064
Agradecimientos: 643
Agradecido 2.733 Veces en 1.865 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Hola @cores8, es tal como explica el compañero @julioeep tienes que bajarte el archivo tar de la Versión portátil valido para openSUSE, descomprimirlo y ejecutar el script onlyoffice-desktopeditors.sh. Lo hecho y funciona, te adjunto un pantallazo.

__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a DiabloRojo Por Este Mensaje:
cores8 (07-mar-2018)
  #4  
Antiguo 07-mar-2018, 21:00
Avatar de hurior
hurior hurior está desconectado
Habitual
 
Fecha de Ingreso: 13-octubre-2005
Ubicación: San Vicente del Raspeig
Versión: openSUSE Leap 15
Mensajes: 229
Agradecimientos: 63
Agradecido 2 Veces en 2 Mensajes
Poder de Credibilidad: 14
hurior está en el buen camino
Me ha gustado mucho la opción para Owncloud/Nextcloud, ¿alguien la ha probado?

https://www.onlyoffice.com/es/connectors-owncloud.aspx
__________________
Hugo Riquelme
Ing. Téc. Forestal
http://www.alicanteforestal.es
Responder Citando
  #5  
Antiguo 08-mar-2018, 00:14
cores8 cores8 está desconectado
Aforado
 
Fecha de Ingreso: 01-enero-2016
Versión: 42.3
Mensajes: 7
Agradecimientos: 6
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
cores8 está en el buen camino
Muchas gracias a ambos. Lo he intentado pero al ejecurtar "sudo onlyoffice-desktopeditors.sh", obtengo el siguiente error:
XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
¿Que estoy haciendo mal?
Un saludo.
Responder Citando
  #6  
Antiguo 08-mar-2018, 02:50
Avatar de julioeep
julioeep julioeep está desconectado
Miembro Junior
 
Fecha de Ingreso: 19-diciembre-2008
Ubicación: Villavicencio, Colombia
Versión: openSUSE LEAP 42.2
Mensajes: 693
Agradecimientos: 83
Agradecido 131 Veces en 115 Mensajes
Poder de Credibilidad: 11
julioeep está en el buen camino
Prueba "su -c onlyoffice-desktopeditors.sh", si el instalador tiene interfaz grafica el comando seria "xdg-su -c onlyoffice-desktopeditors.sh"

Última edición por julioeep; 08-mar-2018 a las 02:51 Razón: Informacion incompleta
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a julioeep Por Este Mensaje:
cores8 (10-mar-2018)
  #7  
Antiguo 08-mar-2018, 10:08
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 17.064
Agradecimientos: 643
Agradecido 2.733 Veces en 1.865 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Cita:
Iniciado por cores8 Ver Mensaje
Muchas gracias a ambos. Lo he intentado pero al ejecurtar "sudo onlyoffice-desktopeditors.sh", obtengo el siguiente error:
XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
¿Que estoy haciendo mal?
Lo estas ejecutando con privilegios del administrador en vez de usuario, asi que te sobra el comando sudo.
~> ./onlyoffice-desktopeditors.sh
__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a DiabloRojo Por Este Mensaje:
cores8 (10-mar-2018)
  #8  
Antiguo 10-mar-2018, 12:02
cores8 cores8 está desconectado
Aforado
 
Fecha de Ingreso: 01-enero-2016
Versión: 42.3
Mensajes: 7
Agradecimientos: 6
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
cores8 está en el buen camino
Muchas gracias de nuevo.
Tanto con su -c onlyoffice-desktopeditors.sh como con ./onlyoffice-desktopeditors.sh me daba los siguientes pero se abría:
Gtk-Message: Failed to load module "canberra-gtk-module"
Unable to update the static FcBlanks: 0x0600
Unable to update the static FcBlanks: 0x0601
Unable to update the static FcBlanks: 0x0602
Unable to update the static FcBlanks: 0x0603
Unable to update the static FcBlanks: 0x06dd
Unable to update the static FcBlanks: 0x070f
Unable to update the static FcBlanks: 0x2028
Unable to update the static FcBlanks: 0x2029
Unable to update the static FcBlanks: 0xfff9
Unable to update the static FcBlanks: 0xfffa
Unable to update the static FcBlanks: 0xfffb
libGL error: unable to load driver: nouveau_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: nouveau
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

El problema es que no dejaba instalados los accesos en el menu por lo que no podía lanzarse desde ahí.
Probé a instalarlo nuevamente utilizando el paquete RPM y me dijo:
Problema: no hay nada que proporcione boost-filesystem, necesario para onlyoffice-desktopeditors-4.8.7-109.x86_64
Solución 1: no instalar onlyoffice-desktopeditors-4.8.7-109.x86_64
Solución 2: romper onlyoffice-desktopeditors-4.8.7-109.x86_64 ignorando algunas de sus dependencias

Elegí la opción 2 y se instaló. Pero al ejecutarlo no arrancaba. Entonces en la consola vi que no encontraba "libgtkglext".
Lo instalé desde "instalar/desinstalar software" y ahora está instalado y funcionando correctamente.
Se puede cerrar el tema.
Muchas gracias a todos.
Responder Citando
  #9  
Antiguo 10-mar-2018, 12:34
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 17.064
Agradecimientos: 643
Agradecido 2.733 Veces en 1.865 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Cita:
Iniciado por cores8 Ver Mensaje
Tanto con su -c onlyoffice-desktopeditors.sh como con ./onlyoffice-desktopeditors.sh me daba los siguientes pero se abría:
Gtk-Message: Failed to load module "canberra-gtk-module"
Podias haber buscado esa libreria:
Código:
zypper se -si canberra
Cargando datos del repositorio...
Leyendo los paquetes instalados...

E  | Nombre                        | Tipo    | Versión   | Arquitectura | Repositorio           
---+-------------------------------+---------+-----------+--------------+-----------------------
i+ | libcanberra-gtk-module-common | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk0              | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk0-32bit        | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk2-module       | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk2-module-32bit | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk3-0            | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk3-0-32bit      | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk3-module       | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra-gtk3-module-32bit | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra0                  | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
i+ | libcanberra0-32bit            | paquete | 0.30-14.3 | x86_64       | openSUSE-Leap-42.3-Oss
Pero me alegro de que por fin te funcione instalado el rpm.
__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p
Responder Citando
  #10  
Antiguo 10-mar-2018, 17:00
Avatar de karlggest
karlggest karlggest está desconectado
Moderador
 
Fecha de Ingreso: 07-febrero-2007
Ubicación: Ourense
Versión: Leap 15
Mensajes: 8.443
Agradecimientos: 51
Agradecido 1.355 Veces en 1.010 Mensajes
Poder de Credibilidad: 20
karlggest está en el buen camino
Hola.

Pues a mí en Tumbleweed me da ese error, pero:
Código:
Gtk-Message: Failed to load module "canberra-gtk-module"
Trampa de seguemento/punto de ruptura («core» generado)
Salud!!
Responder Citando
Respuesta

Marcadores

Etiquetas
onlyoffice


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Instalar la última versión de Kdenlive en Leap 42.1 rodalape Software 2 01-ago-2016 11:30
GUIA: Como instalar un programa o driver desde el codigo fuente DiabloRojo FAQs, Manuales y Tutoriales 1 08-feb-2015 11:48
Una forma alternativa de instalar codecs multimedia zchronos FAQs, Manuales y Tutoriales 14 05-mar-2011 17:44
Problemas con la actualización de OpenSuse 10.3 gery Instalación y Actualizaciones 18 28-oct-2007 18:43
Tutorial de como instalar Enemy Territory 2.60 en OpenSuSe 10.2 head777 El Contubernio 0 13-sep-2007 09:49



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 16:19.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba